__gnu_parallel::__transform1_selector< _It > Struct Template Reference

`#include <for_each_selectors.h>`

Inheritance diagram for __gnu_parallel::__transform1_selector< _It >:
[legend]

## Public Member Functions

template<typename _Op>
bool | operator() (_Op &__o, _It __i)

## Public Attributes

_It | _M_finish_iterator

## Detailed Description

template<typename _It>
struct __gnu_parallel::__transform1_selector< _It >

std::transform() __selector, one input sequence variant.

Definition at line 100 of file for_each_selectors.h.

## Member Function Documentation

## operator()()

template<typename _It>
template<typename _Op>

bool __gnu_parallel::__transform1_selector< _It >::operator() | ( | _Op & | __o,
|  | _It | __i )

inline

Functor execution.

Parameters

  __o | Operator.
  __i | iterator referencing object.

Definition at line 107 of file for_each_selectors.h.

## Member Data Documentation

## _M_finish_iterator

template<typename _It>

_It __gnu_parallel::__generic_for_each_selector< _It >::_M_finish_iterator

inherited

_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 47 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h